Bug 182667 - Suppress error message in rc.sysinit for failing to load external locking library
Summary: Suppress error message in rc.sysinit for failing to load external locking lib...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
: 182668 182669 (view as bug list)
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-02-23 22:10 UTC by Travis Tiedemann
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:45:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0504 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2006-08-10 04:00:00 UTC

Description Travis Tiedemann 2006-02-23 22:10:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Union Pacific Corporate Image; SV1; .NET CLR 1.1.4322)

Description of problem:
We have a three node cluster running RHEL 4 U2 and GFS 6.1.  The servers are G4 Proliant DL380s running dual Emulex 9802 HBAs and mpio.  They are connecting via McData switches to an older Symmetrix box.  

When the systems boot, I see the following error:

Setting up logical volume management: unable to open external locking library liblvm2clusterlock.so
  Locking inactive: ignoring clustered volume group vgtest
  6 logical volumes in volume group "Volume00" now active

This appears to come from the stanza in rc.sysinit which begins:

# LVM2 initialization

Later on, when the cluster suite/GFS scripts run, the GFS filesystem is mounted just fine.  I think this is just a cosmetic/timing issue.

Version-Release number of selected component (if applicable):
lvm2-cluster-2.01.14-1.0.RHEL4

How reproducible:
Always

Steps to Reproduce:
1. install gfs
2. boot system

Actual Results:  the abovementioned error, but everything mounts fine.

Expected Results:  no error

Additional info:

Comment 1 Christine Caulfield 2006-02-27 15:29:47 UTC
*** Bug 182668 has been marked as a duplicate of this bug. ***

Comment 2 Christine Caulfield 2006-02-27 15:29:59 UTC
*** Bug 182669 has been marked as a duplicate of this bug. ***

Comment 3 Alasdair Kergon 2006-03-08 18:28:04 UTC
Did you retype that?  My version has 'Logical Volume Management' capitalised.

I suppose lvm.static (or --ignorelockingfailure) should suppress the 'unable to
open' error message.

Comment 4 Alasdair Kergon 2006-04-03 18:38:07 UTC
Changed upstream.

Comment 10 Red Hat Bugzilla 2006-08-10 21:46:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html



Note You need to log in before you can comment on or make changes to this bug.